﻿//	Spludlow Software
//	Copyright © Samuel P. Ludlow 2020 All Rights Reserved
//	Distributed under the terms of the GNU General Public License version 3
//	Distributed WITHOUT ANY WARRANTY; without implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE
//	https://www.spludlow.co.uk/LICENCE.TXT
//	The Spludlow logo is a registered trademark of Samuel P. Ludlow and may not be used without permission
//	v1.14

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using System.ServiceModel;

namespace Spludlow.Trains
{
	[ServiceContract]
	public interface ITrainServer
	{
		[OperationContract]
		void Send(string data);

		[OperationContract]
		void Speed(int address, int speed);

		[OperationContract]
		void Points(int address, bool direction);

		[OperationContract]
		TrainsDataSet Query(bool includeLogs);

		[OperationContract]
		void Emergency();

		[OperationContract]
		void PowerOff();

		[OperationContract]
		void Normal();

		[OperationContract]
		void ClearLog();

		[OperationContract]
		void Close();
	}
}
